### Method

# Camel Store get_folder_info

since: 3.0

#### Declaration [src]

    void
    camel_store_get_folder_info (
      CamelStore* store,
      const gchar* top,
      CamelStoreGetFolderInfoFlags flags,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously fetches information about the folder structure of `store`, starting with `top`. For details of the behavior, see camel_store_get_folder_info_sync().

When the operation is finished, `callback` will be called. You can then call `camel_store_get_folder_info_finish()` to get the result of the operation.

Available since: 3.0

This method completes asynchronously. Use `camel_store_get_folder_info_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`top`

  Type: `const gchar*`

  The name of the folder to start from.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`flags`

  Type: `CamelStoreGetFolderInfoFlags`

  Various CAMEL_STORE_FOLDER_INFO_* flags to control behavior.

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.